Package org.lwjgl.opengl

# Class APPLEPackedPixels

java.lang.Object
org.lwjgl.opengl.APPLEPackedPixels

public final class APPLEPackedPixels extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_UNSIGNED_BYTE_2_3_3_REV`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_BYTE_3_3_2`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_INT_10_10_10_2`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_INT_2_10_10_10_REV`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_INT_8_8_8_8`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_INT_8_8_8_8_REV`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_SHORT_1_5_5_5_REV`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_SHORT_4_4_4_4`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_SHORT_4_4_4_4_REV`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_SHORT_5_5_5_1`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_SHORT_5_6_5`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:
`static final int`
`GL_UNSIGNED_SHORT_5_6_5_REV`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_UNSIGNED_BYTE_3_3_2

public static final int GL_UNSIGNED_BYTE_3_3_2
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_BYTE_2_3_3_REV

public static final int GL_UNSIGNED_BYTE_2_3_3_REV
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_5_6_5

public static final int GL_UNSIGNED_SHORT_5_6_5
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_5_6_5_REV

public static final int GL_UNSIGNED_SHORT_5_6_5_REV
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_4_4_4_4

public static final int GL_UNSIGNED_SHORT_4_4_4_4
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_4_4_4_4_REV

public static final int GL_UNSIGNED_SHORT_4_4_4_4_REV
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_5_5_5_1

public static final int GL_UNSIGNED_SHORT_5_5_5_1
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_1_5_5_5_REV

public static final int GL_UNSIGNED_SHORT_1_5_5_5_REV
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_8_8_8_8

public static final int GL_UNSIGNED_INT_8_8_8_8
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_8_8_8_8_REV

public static final int GL_UNSIGNED_INT_8_8_8_8_REV
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_10_10_10_2

public static final int GL_UNSIGNED_INT_10_10_10_2
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_2_10_10_10_REV

public static final int GL_UNSIGNED_INT_2_10_10_10_REV
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, SeparableFilter3D, GetSeparableFilter, ColorTable, GetColorTable, TexImage4DSGIS, and TexSubImage4DSGIS:

See Also:
  - Constant Field Values